﻿@model SportsClub.Models.ChessTourneyEntriesViewModel

@{
    Layout = null;
}

<div id="actionZone" class="modal-body inline text-center clearfix">
    <div class="pull-left myjb-grid clearfix">
        @(Html.Kendo().Grid<ChessTourneyEntryViewModel>()
            .Name("TourneyEntriesGrid")
            .Columns(columns =>
            {
                columns.Bound(c => c.FullName).Title("Name").Width("15%");
                columns.Bound(c => c.Date).ClientTemplate("#=kendo.toString(Date,'MMM dd yyyy')#").Title("Date").Width("12%");
                columns.Bound(c => c.UscfId).Title("USCF ID").Width("10%").Sortable(false);
                columns.Bound(c => c.UscfRating).ClientTemplate("#= fixRating(UscfRating) #").Title("USCF Rating").Width("15%");
                columns.Bound(c => c.UscfExpirationDate).Title("Expiration").Width("12%");
                columns.Bound(c => c.SectionOrder).ClientTemplate("#:Section#").ClientGroupHeaderTemplate("#= fixGroupHeaderTitle(value) #").Title("Section").Width("8%");
                columns.Bound(c => c.Schedule).Title("Schedule").Width("15%");
                columns.Bound(c => c.Byes).Title("Byes").Width("29%").Sortable(false);
                columns.Bound(c => c.Options).Title("Options").Width("15%").Sortable(false);
            })
            .Pageable()
            .Sortable(sortable => sortable
                .AllowUnsort(true)
                .SortMode(GridSortMode.MultipleColumn))
            .DataSource(dataSource => dataSource
            .Ajax()
            .ServerOperation(true)
            .PageSize(20)
           
            .Model(model => model.Id(m => m.OrderItemId))
            .Sort(c => c.Add("UscfRating").Descending())
      
            .Read(read => read.Action("Entries_Read", "Registrant", new { programId=Model.ProgramId,  seasonId=Model.SeasonId,  clubId=Model.ClubId})))
        )
    </div>
</div>
